x = 0:pi/10:2*pi;    % Create array x
y = sin(x);          % Sine of x
a = randn(1,21)*0.1; % array of random numbers with 
                     % normal distribution.
z = y+a;

plot(x,z,'x', x,y,'r');
hold on;

p3 = polyfit(x,z,3); % Create of degree 3
f3 = polyval(p3,x);
plot(x,f3,'b');
legend('data (z)','y = sin(x)', '3.order polynom');
